%define major 1
%define pkgname	FreeRDP
%define release 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A free remote desktop protocol client
Name:		freerdp
Version:	1.0.1
%if %mdkversion <= 201100 
Release:	%mkrel %{release}
%else
Release:	%{release}
%endif
License:	Apache
Group:		Networking/Remote access
URL:		http://www.freerdp.com/
Source0:	https://github.com/downloads/FreeRDP/FreeRDP/%{pkgname}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	cups-devel
BuildRequires:	libalsa-devel
BuildRequires:	libxcursor-devel
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(x11)
BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	xmlto
BuildRequires:	pkgconfig(xinerama)
Requires:	%{libname} = %{version}-%{release}
Patch0:		double_usr_libdir_path.patch

%description
FreeRDP is a fork of the rdesktop project.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q -n FreeRDP-FreeRDP-8e62721
%patch0 -p1

%build
%cmake

%make

%install
cd build/
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}/*.la
rm -rf %{buildroot}%{_libdir}/*.la

%files
%doc README
%{_bindir}/*
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/freerdp.pc


%changelog
* Sat Mar 10 2012 Sergey Zhemoitel <serg@mandriva.org> 1.0.1-3
+ Revision: 783943
+ rebuild (emptylog)

* Mon Feb 20 2012 Lev Givon <lev@mandriva.org> 1.0.1-2
+ Revision: 778253
- Add xfreerdp man page to file list.

  + Alexander Khrukin <akhrukin@mandriva.org>
    - pkgconfig(xinerama) instead of xinerama-devel
    - BR:xinerama-devel
    - BR:xmlto for 2011

* Fri Feb 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.1-1
+ Revision: 772431
- unneeded macro find_lang
- BR:ffmpeg-devel
- BR:cmake
- why cmake_qt4 insted of cmake?
- version update 1.0.1

  + Sergey Zhemoitel <serg@mandriva.org>
    - add new version 1.0.0

  + Götz Waschk <waschk@mandriva.org>
    - remove build dep on libsamplerate, not used anymore in 0.8.2

* Wed Nov 24 2010 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 600439
- update to new version 0.8.2

* Wed Nov 24 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 600428
- drop patch

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.8.1

* Sat Aug 28 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 573965
- update to new version 0.7.4

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 563972
- update to new version 0.7.3

* Sun Jul 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-2mdv2011.0
+ Revision: 554815
- add missing provides on devel library

* Sun Jul 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 554794
- import freerdp

